%define upstream_name    Devel-Platform-Info
%define upstream_version 1.00

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Retrieve Solaris platform metadata
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More) >= 0.700.0
BuildArch:  noarch

%description
This module is a wrapper to the drivers which can determine platform
metadata regarding the currently running operating system.

The intention of this distribution is to provide key identifying components
regarding the platform currently being used, for the CPAN Testers test
reports. Currently the reports do not often contain enough information to
help authors understand specific failures, where the platform may be a
factor.

However, it is hoped that this distribution will find more uses far beyond
the usage for CPAN Testers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.0-4.mga10
+ Revision: 2205631
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.0.0-3.mga9
+ Revision: 1811867
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-2.mga8
+ Revision: 1530219
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Aug 28 2019 tv <tv> 1.0.0-1.mga8
+ Revision: 1434683
- update to 1.00

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-3.mga7
+ Revision: 1267262
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1025566
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 1007506
- update to 0.16

* Thu Feb 18 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 965966
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 839341
- update to 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 747004
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-2.mga5
+ Revision: 684327
- Mageia 5 Mass Rebuild

* Mon May 19 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 623922
- update to 0.14

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 510829
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 365793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 302779
- update to 0.11

* Sat Jun 09 2012 jquelin <jquelin> 0.100.0-1.mga3
+ Revision: 258814
- update to 0.10

* Wed Jun 15 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 106813
- update to 0.09

* Thu May 05 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 95080
- imported package perl-Devel-Platform-Info


* Thu May 05 2011 cpan2dist 0.08-1mga
- initial mageia release, generated with cpan2dist
